
Packaging - Feature #19603

Please package foreman_azure_rm

05/19/2017 01:12 PM - Josh Pavel

Status: Resolved   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases: 1.15.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Please assist in packaging up the foreman_azure_rm plugin here:

https://github.com/01100010011001010110010101110000/foreman_azure_rm

Note:

1.) I am not the author of this code, but I high a very high need for this functionality

2.) This is NOT the same code as the foreman_azure plugin, as that doesn't support the Azure Resource Group model

3.) There is a fair number of dependencies required here

4.) I somehow got this working on a packaged install of Foreman, though I was unable to get it to work with our production

Foreman+Katello installation due to dependency problems, which is why I am asking for this to be packaged.

History

#1 - 05/19/2017 01:13 PM - Josh Pavel

- Category changed from Compute resources to Packaging

#2 - 05/22/2017 03:32 AM - Dominic Cleal

- Tracker changed from Support to Feature

- Project changed from Foreman to Packaging

- Category deleted (Packaging)

#3 - 04/05/2018 03:31 PM - Ewoud Kohl van Wijngaarden

I'd advise on following https://github.com/theforeman/foreman-packaging/tree/rpm/develop#adding-gem-packages. Feel free to ask us on help in

#theforeman or #theforeman-dev if you want more direct feedback. Probably easier than going back and forth in this issue.

#4 - 04/05/2018 09:19 PM - Anonymous

I'd rather advocate we move away from fog 1.x and thus we should be able to use a non-forked version of the respective fog gem.

#5 - 01/17/2020 12:58 PM - Evgeni Golov

- Status changed from New to Closed

- Fixed in Releases 1.24.2 added

1.24 has azure_rm packaged

#6 - 01/21/2020 09:07 AM - Tomer Brisker

- Status changed from Closed to Resolved

#7 - 01/21/2020 09:23 AM - Tomer Brisker

- Fixed in Releases deleted (1.24.2)
